OpenMM

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Pages
Public Member Functions | Public Attributes | Static Public Attributes | List of all members
GBVIForce Class Reference

This class implements an implicit solvation force using the GB/VI model. More...

Inheritance diagram for GBVIForce:

## Public Member Functions
def | getNumParticles
| getNumParticles(GBVIForce self) -> int More...
def | addParticle
| addParticle(GBVIForce self, double charge, double radius, double gamma) -> int More...
def | getParticleParameters
| getParticleParameters(GBVIForce self, int index) More...
def | setParticleParameters
| setParticleParameters(GBVIForce self, int index, double charge, double radius, double gamma) More...
def | addBond
| addBond(GBVIForce self, int particle1, int particle2, double distance) -> int More...
def | getBondParameters
| getBondParameters(GBVIForce self, int index) More...
def | setBondParameters
| setBondParameters(GBVIForce self, int index, int particle1, int particle2, double bondLength) More...
def | getNumBonds
| getNumBonds(GBVIForce self) -> int More...
def | getSolventDielectric
| getSolventDielectric(GBVIForce self) -> double More...
def | setSolventDielectric
| setSolventDielectric(GBVIForce self, double dielectric) More...
def | getSoluteDielectric
| getSoluteDielectric(GBVIForce self) -> double More...
def | setSoluteDielectric
| setSoluteDielectric(GBVIForce self, double dielectric) More...
def | getNonbondedMethod
| getNonbondedMethod(GBVIForce self) -> OpenMM::GBVIForce::NonbondedMethod More...
def | setNonbondedMethod
| setNonbondedMethod(GBVIForce self, OpenMM::GBVIForce::NonbondedMethod method) More...
def | getCutoffDistance
| getCutoffDistance(GBVIForce self) -> double More...
def | setCutoffDistance
| setCutoffDistance(GBVIForce self, double distance) More...
def | getBornRadiusScalingMethod
| getBornRadiusScalingMethod(GBVIForce self) -> OpenMM::GBVIForce::BornRadiusScalingMethod More...
def | setBornRadiusScalingMethod
| setBornRadiusScalingMethod(GBVIForce self, OpenMM::GBVIForce::BornRadiusScalingMethod method) More...
def | getQuinticLowerLimitFactor
| getQuinticLowerLimitFactor(GBVIForce self) -> double More...
def | setQuinticLowerLimitFactor
| setQuinticLowerLimitFactor(GBVIForce self, double quinticLowerLimitFactor) More...
def | getQuinticUpperBornRadiusLimit
| getQuinticUpperBornRadiusLimit(GBVIForce self) -> double More...
def | setQuinticUpperBornRadiusLimit
| setQuinticUpperBornRadiusLimit(GBVIForce self, double quinticUpperBornRadiusLimit) More...
def | usesPeriodicBoundaryConditions
| usesPeriodicBoundaryConditions(GBVIForce self) -> bool More...
def | __init__
| init(OpenMM::GBVIForce self) -> GBVIForce init(OpenMM::GBVIForce self, GBVIForce other) -> GBVIForce More...
def | __del__
| del(OpenMM::GBVIForce self) More...
Public Member Functions inherited from Force
def | __init__
def | __del__
| del(OpenMM::Force self) More...
def | getForceGroup
| getForceGroup(Force self) -> int More...
def | setForceGroup
| setForceGroup(Force self, int group) More...
def | usesPeriodicBoundaryConditions
| usesPeriodicBoundaryConditions(Force self) -> bool More...
def | __copy__
def | __deepcopy__

## Public Attributes
| this

## Static Public Attributes
| NoCutoff = _openmm.GBVIForce_NoCutoff
| CutoffNonPeriodic = _openmm.GBVIForce_CutoffNonPeriodic
| CutoffPeriodic = _openmm.GBVIForce_CutoffPeriodic
| NoScaling = _openmm.GBVIForce_NoScaling
| QuinticSpline = _openmm.GBVIForce_QuinticSpline

## Detailed Description

This class implements an implicit solvation force using the GB/VI model.

To use this class, create a GBVIForce object, then call addParticle() once for each particle in the System to define its parameters. The number of particles for which you define GB/VI parameters must be exactly equal to the number of particles in the System, or else an exception will be thrown when you try to create a Context. After a particle has been added, you can modify its force field parameters by calling setParticleParameters().

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | args
| ) |  |

init(OpenMM::GBVIForce self) -> GBVIForce init(OpenMM::GBVIForce self, GBVIForce other) -> GBVIForce

This class implements an implicit solvation force using the GB/VI model.

To use this class, create a GBVIForce object, then call addParticle() once for each particle in the System to define its parameters. The number of particles for which you define GB/VI parameters must be exactly equal to the number of particles in the System, or else an exception will be thrown when you try to create a Context. After a particle has been added, you can modify its force field parameters by calling setParticleParameters().

References simtk.openmm.openmm.stripUnits().

def __del__ | ( |  | self | ) |

del(OpenMM::GBVIForce self)

References simtk.openmm.openmm.stripUnits().

## Member Function Documentation

def addBond | ( |  | self,
|  |  | args
| ) |  |

addBond(GBVIForce self, int particle1, int particle2, double distance) -> int

Add a bond

Parameters

  particle1 | the index of the first particle
  particle2 | the index of the second particle
  distance | the distance between the two particles, measured in nm

References simtk.openmm.openmm.stripUnits().

Referenced by Topology.createDisulfideBonds(), and Topology.createStandardBonds().

def addParticle | ( |  | self,
|  |  | args
| ) |  |

addParticle(GBVIForce self, double charge, double radius, double gamma) -> int

Add the GB/VI parameters for a particle. This should be called once for each particle in the System. When it is called for the i'th time, it specifies the parameters for the i'th particle.

Parameters

  charge | the charge of the particle, measured in units of the proton charge
  radius | the GB/VI radius of the particle, measured in nm
  gamma | the gamma parameter

References simtk.openmm.openmm.stripUnits().

Referenced by NonbondedForce.addParticle_usingRVdw().

def getBondParameters | ( |  | self,
|  |  | args
| ) |  |

getBondParameters(GBVIForce self, int index)

Get the parameters defining a bond

Parameters

  index | the index of the bond for which to get parameters
  particle1 | the index of the first particle involved in the bond
  particle2 | the index of the second particle involved in the bond
  distance | the distance between the two particles, measured in nm

References simtk.openmm.openmm.stripUnits().

def getBornRadiusScalingMethod | ( |  | self,
|  |  | args
| ) |  |

getBornRadiusScalingMethod(GBVIForce self) -> OpenMM::GBVIForce::BornRadiusScalingMethod

Get Born radius scaling method

References simtk.openmm.openmm.stripUnits().

def getCutoffDistance | ( |  | self,
|  |  | args
| ) |  |

getCutoffDistance(GBVIForce self) -> double

Get the cutoff distance (in nm) being used for nonbonded interactions. If the NonbondedMethod in use is NoCutoff, this value will have no effect.

References simtk.openmm.openmm.stripUnits().

def getNonbondedMethod | ( |  | self,
|  |  | args
| ) |  |

getNonbondedMethod(GBVIForce self) -> OpenMM::GBVIForce::NonbondedMethod

Get the method used for handling long range nonbonded interactions.

References simtk.openmm.openmm.stripUnits().

def getNumBonds | ( |  | self,
|  |  | args
| ) |  |

getNumBonds(GBVIForce self) -> int

Get number of bonds

References simtk.openmm.openmm.stripUnits().

def getNumParticles | ( |  | self,
|  |  | args
| ) |  |

getNumParticles(GBVIForce self) -> int

Get the number of particles in the system.

References simtk.openmm.openmm.stripUnits().

def getParticleParameters | ( |  | self,
|  |  | args
| ) |  |

getParticleParameters(GBVIForce self, int index)

Get the force field parameters for a particle.

Parameters

  index | the index of the particle for which to get parameters
  charge | the charge of the particle, measured in units of the proton charge
  radius | the GBSA radius of the particle, measured in nm
  gamma | the gamma parameter

References simtk.openmm.openmm.stripUnits().

def getQuinticLowerLimitFactor | ( |  | self,
|  |  | args
| ) |  |

getQuinticLowerLimitFactor(GBVIForce self) -> double

Get the lower limit factor used in the quintic spline scaling method (typically 0.5-0.8)

References simtk.openmm.openmm.stripUnits().

def getQuinticUpperBornRadiusLimit | ( |  | self,
|  |  | args
| ) |  |

getQuinticUpperBornRadiusLimit(GBVIForce self) -> double

Get the upper limit used in the quintic spline scaling method, measured in nm (~5.0)

References simtk.openmm.openmm.stripUnits().

def getSoluteDielectric | ( |  | self,
|  |  | args
| ) |  |

getSoluteDielectric(GBVIForce self) -> double

Get the dielectric constant for the solute.

References simtk.openmm.openmm.stripUnits().

def getSolventDielectric | ( |  | self,
|  |  | args
| ) |  |

getSolventDielectric(GBVIForce self) -> double

Get the dielectric constant for the solvent.

References simtk.openmm.openmm.stripUnits().

def setBondParameters | ( |  | self,
|  |  | args
| ) |  |

setBondParameters(GBVIForce self, int index, int particle1, int particle2, double bondLength)

Set 1-2 bonds

Parameters

  index | index of the bond for which to set parameters
  particle1 | index of first atom in bond
  particle2 | index of second atom in bond
  bondLength | bond length, measured in nm

References simtk.openmm.openmm.stripUnits().

def setBornRadiusScalingMethod | ( |  | self,
|  |  | args
| ) |  |

setBornRadiusScalingMethod(GBVIForce self, OpenMM::GBVIForce::BornRadiusScalingMethod method)

Set Born radius scaling method

References simtk.openmm.openmm.stripUnits().

def setCutoffDistance | ( |  | self,
|  |  | args
| ) |  |

setCutoffDistance(GBVIForce self, double distance)

Set the cutoff distance (in nm) being used for nonbonded interactions. If the NonbondedMethod in use is NoCutoff, this value will have no effect.

Parameters

  distance | the cutoff distance, measured in nm

References simtk.openmm.openmm.stripUnits().

def setNonbondedMethod | ( |  | self,
|  |  | args
| ) |  |

setNonbondedMethod(GBVIForce self, OpenMM::GBVIForce::NonbondedMethod method)

Set the method used for handling long range nonbonded interactions.

References simtk.openmm.openmm.stripUnits().

def setParticleParameters | ( |  | self,
|  |  | args
| ) |  |

setParticleParameters(GBVIForce self, int index, double charge, double radius, double gamma)

Set the force field parameters for a particle.

Parameters

  index | the index of the particle for which to set parameters
  charge | the charge of the particle, measured in units of the proton charge
  radius | the GB/VI radius of the particle, measured in nm
  gamma | the gamma parameter

References simtk.openmm.openmm.stripUnits().

def setQuinticLowerLimitFactor | ( |  | self,
|  |  | args
| ) |  |

setQuinticLowerLimitFactor(GBVIForce self, double quinticLowerLimitFactor)

Set the lower limit factor used in the quintic spline scaling method (typically 0.5-0.8)

References simtk.openmm.openmm.stripUnits().

def setQuinticUpperBornRadiusLimit | ( |  | self,
|  |  | args
| ) |  |

setQuinticUpperBornRadiusLimit(GBVIForce self, double quinticUpperBornRadiusLimit)

Set the upper limit used in the quintic spline scaling method, measured in nm (~5.0)

References simtk.openmm.openmm.stripUnits().

def setSoluteDielectric | ( |  | self,
|  |  | args
| ) |  |

setSoluteDielectric(GBVIForce self, double dielectric)

Set the dielectric constant for the solute.

References simtk.openmm.openmm.stripUnits().

def setSolventDielectric | ( |  | self,
|  |  | args
| ) |  |

setSolventDielectric(GBVIForce self, double dielectric)

Set the dielectric constant for the solvent.

References simtk.openmm.openmm.stripUnits().

def usesPeriodicBoundaryConditions | ( |  | self,
|  |  | args
| ) |  |

usesPeriodicBoundaryConditions(GBVIForce self) -> bool

Returns whether or not this force makes use of periodic boundary conditions.

References simtk.openmm.openmm.stripUnits().

## Member Data Documentation

CutoffNonPeriodic = _openmm.GBVIForce_CutoffNonPeriodic
| static

CutoffPeriodic = _openmm.GBVIForce_CutoffPeriodic
| static

NoCutoff = _openmm.GBVIForce_NoCutoff
| static

NoScaling = _openmm.GBVIForce_NoScaling
| static

QuinticSpline = _openmm.GBVIForce_QuinticSpline
| static

this

Referenced by System.__init__().

The documentation for this class was generated from the following file:

- openmm.py